package LibrarySystem.domain.medien;

public class CD extends Medium {
    public static final int AUSLEIHDAUER = 14; // 2 Wochen

    public CD(String ID, String titel, String autor, int erscheinungsjahr, String medienart, int verlaengerungen) {
        super(ID, titel, autor, erscheinungsjahr, medienart, verlaengerungen);
    }


    @Override
    public int getAusleihdauer() {
        return AUSLEIHDAUER;
    }

    @Override
    public boolean istVerlaengerbar() {
        return false;
    }

}
