package LibrarySystem.domain.medien;

public class Videospiel extends Medium {
    private static final int AUSLEIHDAUER = 28; // 4 Wochen

    public Videospiel(String ID, String titel, String autor, int erscheinungsjahr, String medienart, int verlaengerungen) {
        super(ID, titel, autor, erscheinungsjahr, medienart, verlaengerungen);
    }


    @Override
    public int getAusleihdauer() {
        return AUSLEIHDAUER;
    }

    @Override
    public boolean istVerlaengerbar() {
        return verlaengerungen>0;
    }

    /*@Override
    public int verlaengern() {
        if (istVerlaengerbar()){
            verlaengerungen--;
            //rechneRueckgabedatum(); //Verlängerung
        } else {
            System.out.println("Keine Verlängerung mehr möglich");
        }
        return verlaengerungen;
    }*/

}
