package LibrarySystem.domain.benutzern;


import LibrarySystem.domain.medien.Medium;

public class Admin extends Benutzer {

     public Admin(String kartennummer, String name, int alter) {
         super(kartennummer,name, alter, "A");
     }

     @Override
     public double getJahresgebuehr() {
         return 0;
     }

     // Admin-spezifische Methoden: Benutzerübersicht anzeigen
     public void anzeigenBenutzer(Benutzer[] benutzerListe) {
         System.out.println("\nBenutzerübersicht:");
         for (Benutzer b : benutzerListe) {
             System.out.println(b);
         }
     }

     public void bestaetigeGebuehrenzahlung(Benutzer benutzer) {
         if(benutzer.getOffeneGebuehren() > 0) {
             benutzer.bezahleGebuehren();
             System.out.println("Gebühren von " + benutzer.getName() + " wurden erfolgreich bezahlt.");
         } else {
             System.out.println("Keine offene Gebühren für " + benutzer.getName() + ".") ;
         }
     }
}

