package LibrarySystem.domain.medien;


public class Brettspiel extends Medium {
    private static final int AUSLEIHDAUER = 14; // 2 Wochen

    public Brettspiel(String ID, String titel, String autor, int erscheinungsjahr, String medienart, int verlaengerungen) {
        super(ID, titel, autor, erscheinungsjahr, medienart, verlaengerungen);
    }


    @Override
    public int getAusleihdauer() {
        return AUSLEIHDAUER;
    }

    @Override
    public boolean istVerlaengerbar() {
        return false; //Keine Verlängerung
    }

}
