package LibrarySystem.domain.medien;

public class DVD extends Medium {
    private static final int AUSLEIHDAUER = 7; // 1 Woche

    public DVD(String ID, String titel, String autor, int erscheinungsjahr, String medienart, int verlaengerungen) {
        super(ID, titel, autor, erscheinungsjahr, medienart, verlaengerungen);
    }


    @Override
    public int getAusleihdauer() {
        return AUSLEIHDAUER;
    }

    @Override
    public boolean istVerlaengerbar() {
        return false; //Keine Verlängerung
    }

    /*@Override
    public int verlaengern() {
        System.out.println("DVDs können nicht verlängert werden.");
        return 0;
    }*/


}
